Package org.wildfly.plugin.core

## Class DeploymentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.wildfly.plugin.core.DeploymentException

- All Implemented Interfaces:
    `Serializable`

      @Deprecated(forRemoval=true)
      public class DeploymentException
      extends RuntimeException

  Deprecated, for removal: This API element is subject to removal in a future version.
  moved to new https://github.com/wildfly/wildfly-plugin-tools project
  An exception that represents a deployment error.
  Author:
    James R. Perkins
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentException​(String message)` | Deprecated, for removal: This API element is subject to removal in a future version. Creates a new deployment exception.
    `DeploymentException​(String message, Throwable cause)` | Deprecated, for removal: This API element is subject to removal in a future version. Creates a new deployment exception.
    `DeploymentException​(Throwable cause)` | Deprecated, for removal: This API element is subject to removal in a future version. Creates a new deployment exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentException

          public DeploymentException​(String message)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Creates a new deployment exception.
      Parameters:
        `message` - the message for the exception

    - #### DeploymentException

          public DeploymentException​(Throwable cause)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Creates a new deployment exception.
      Parameters:
        `cause` - the cause of the exception

    - #### DeploymentException

          public DeploymentException​(String message,
                                     Throwable cause)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Creates a new deployment exception.
      Parameters:
        `message` - the message for the exception
        `cause` - the cause of the exception